Subject: [PATCH V7 2/3] OPP: Allow multiple OPP tables to be passed via DT

From: [email-masked] (Viresh Kumar)
Date: Wed, 17 Jun 2015 20:12:23 +0530

On 17-06-15, 08:47, Rob Herring wrote:
> Defined order is a key part of DT bindings. We solve the variable
> length problem with name lists associated with variable length
> property like:
> 
> operating-point-names = "slow", "fast";

I agree that we should have used this..

> I'm not a fan of doing this if we can avoid it, but we should at least
> follow the same pattern. Don't send me a patch with that yet, I want
> to hear from Stephen.

Good that you told me to stop :)

> You can also use "status" to disable specific tables rather than
> removing from the list.

Hmmm, right. That's far better.

-- 
viresh